﻿using Stimulsoft.Report;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ReportFRomBusinessObject
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {

            List<Invoice> Invoices = new List<Invoice>();
            var tmp1 = new Invoice
            {
                String1 = "First Invoice, First String",
                String2 = "First Invoice, Second String"
            };
            tmp1.InvoiceLines.Add(new InvoiceLine()
            {
                Line1Item1 = "First Invoice Line 1 Item 1",
                Line1Item2 = "First Invoice Line 1 Item 2",
                SomeKey = 999,
                SomeOtherKey = 1000
            });
            Invoices.Add(tmp1);

            //var tmp2 = new Invoice
            //{
            //    String1 = "Second Invoice, First String",
            //    String2 = "Second Invoice, Second String"
            //};
            //tmp2.InvoiceLines.Add(new InvoiceLine()
            //{
            //    Line1Item1 = "Second Invoice Line 1 Item 1",
            //    Line1Item2 = "Second Invoice Line 1 Item 2",
            //    SomeKey = 555,
            //    SomeOtherKey = 6666
            //});
            //Invoices.Add(tmp2);



            var assembly = Assembly.GetExecutingAssembly();
            var rpt = new StiReport();
            rpt.LoadReportFromResource(assembly, "ReportFRomBusinessObject.Report.mrt");

            rpt.RegBusinessObject("Invoices", Invoices);

            rpt.Render(false);
            ReportViewerCtl.Report = rpt;

        }
    }
}
